{% set d = year ~ "-" ~ month ~ "-1" %}
{% set day = d|date("d") %}
{% set month = d|date("m") %}
{% set year = d|date("Y") %}
{% set current_day_in_week = d|date("N") %}
{% set days_in_month = d|date("t") %}
{% set day_ctr = 1 %}

<div class="table">

    <!-- header -->

    <div class="table_row calendar_row">
        <div class="table_cell calendar_header">{{ 'Monday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Tuesday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Wednesday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Thursday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Friday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Saturday' | trans }}</div>
        <div class="table_cell calendar_header">{{ 'Sunday' | trans }}</div>
    </div>

    <!--- first row -->

    <div class="table_row">
        {% if (current_day_in_week-1) != 0 %}
            {% for i in 1..(current_day_in_week-1) %}
                <div class="table_cell calendar_cell_blocked"></div>
            {% endfor %}
        {% endif %}
        {% for i in current_day_in_week..7 %}
            <div class="table_cell calendar_cell {% if day_ctr is even %} even {% endif %}">{{ block('inside_cell') }}</div>
            {% set day_ctr = day_ctr + 1 %}
        {% endfor %}
    </div>

    <!-- middle rows -->

    {% for i in 0..days_in_month/7-1 %}
        <div class="table_row">
            {% for j in 1..7 %}
                {% if day_ctr <= days_in_month %}
                    <div class="table_cell calendar_cell {% if day_ctr is even %} even {% endif %}">{{ block('inside_cell') }}</div>
                    {% set day_ctr = day_ctr + 1 %}
                {% else %}
                    <div class="table_cell calendar_cell_blocked"></div>
                {% endif %}
            {% endfor %}
        </div>
    {% endfor %}
</div>

